Skip to main content
POST
/
budgets
/
{budgetId}
/
transfer
cURL
curl --request POST \
  --url 'https://api.equalsmoney.com/v2/budgets/{budgetId}/transfer?accountId={{accountId}}' \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "destinationBudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
  "currency": "USD",
  "amount": "string",
  "reference": "Personal allowance"
}
'
import requests

url = "https://api.equalsmoney.com/v2/budgets/{budgetId}/transfer"

payload = {
"destinationBudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"currency": "USD",
"amount": "string",
"reference": "Personal allowance"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destinationBudgetId: '775596ae-2624-40af-a9dc-9756110a4a03',
currency: 'USD',
amount: 'string',
reference: 'Personal allowance'
})
};

fetch('https://api.equalsmoney.com/v2/budgets/{budgetId}/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "debitBoxTransactionId": "179032",
  "creditBoxTransactionId": "179033"
}

Authorizations

Authorization
string
header
required

Path Parameters

budgetId
string<uuid>
required

The ID of the budget to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

Body

application/json

Body

destinationBudgetId
string<uuid>
required

The ID of the budget to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

currency
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLP,
CNY,
COP,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GGP,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LTL,
LVL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SEK,
SGD,
SHN,
SLL,
SOS,
SRD,
SSP,
STN,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMK,
ZMW,
ZWD
Example:

"USD"

amount
string
required

The amount to be transferred.

reference
string

A reference for the transfer.

Pattern: ^[ A-Za-z0-9-,./:?()]{1,18}$
Example:

"Personal allowance"

Response

200 - application/json

OK

success
boolean
required

Whether or not the transfer was successful.

Example:

true

debitBoxTransactionId
number

The unique identifer of the box debited transaction. This ID will be persisted in the BoxDebited webhook.

Example:

"179032"

creditBoxTransactionId
number

The unique identifer of the box credited transaction. This ID will be persisted in the BoxCredited webhook.

Example:

"179033"